Catalyst::Authentication::User(3pm)

NAME
Catalyst::Authentication::User - Base class for user objects.

SYNOPSIS
    package MyStore::User;
    use base qw/Catalyst::Authentication::User/;

DESCRIPTION
This is the base class for authentication user objects.

THIS IS NOT A COMPLETE CLASS! it is intended to provide base functionality only.

It provides the base methods listed below, and any additional methods are proxied onto the user object fetched from the underlieing store.

NOTES TO STORE IMPLEMENTORS
Please read the comments in the source code of this class to work out which methods you should override.

METHODS

  id( )
A unique ID by which a user can be retrieved from the store.

  store( )
Should return a class name that can be used to refetch the user using it's ID.

  supports( )
An introspection method used to determine what features a user object has, to support credential and authorization plugins.

  get( $field )
Returns the value for the $field provided.

  get_object( )
Returns the underlying object storing the user data. The return value of this method will vary depending on the storage module used.

  obj( )
Shorthand for get_object( )

  AUTOLOAD
Delegates any unknown methods onto the user object returned by ->obj